#### PyKDE - Python Bindings for KDE

# class KToggleFullScreenAction |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KToggleFullScreenAction
Inherits | KToggleAction

### methods

- KToggleFullScreenAction (cut, slot, parent, window, name)

  returns a KToggleFullScreenAction instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  cut | KShortcut |
  slot | SLOT (Python callable) |
  parent | QObject |
  window | QWidget |
  name | char |

- eventFilter (o, e)

  returns (bool)
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  o | QObject |
  e | QEvent |

- setChecked (a0)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | bool |

- setWindow (window)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  window | QWidget |